How Do I Update OpenGL 1.4.0 to 2.0.0?

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read how to get help
User avatar
morbid_bean
Level 1
Level 1
Posts: 7
Joined: Sun Jun 03, 2012 9:30 pm

How Do I Update OpenGL 1.4.0 to 2.0.0?

Postby morbid_bean » Mon Feb 18, 2013 1:59 pm

Hello,

I am trying to load Team Fortress through steam and it is suggesting that I update OpenGL

Code: Select all

PROBLEM: You appear to have OpenGL 1.4.0, but we need at least 2.0.0


Currently running XFCE Mint 14 on a Lenovo S10-3

CPU: Intel Atom N455
GPU: Intel GMA 3150

User avatar
eanfrid
Level 7
Level 7
Posts: 1865
Joined: Mon Apr 30, 2012 2:49 am
Location: FR

Re: How Do I Update OpenGL 1.4.0 to 2.0.0?

Postby eanfrid » Mon Feb 18, 2013 2:18 pm

Your troubles are not with OpenGL but with the (very) poor native performance of this integrated GPU on a netbook: this GPU is not capable of more than OpenGL 1.x operations... BTW, LM13+ already delivers at least support for OpenGL 3.0 with Mesa 8.x.
Main desktop: Debian GNU/Linux Jessie 64bit - MATE
(i5 2400@3.7GHz - 16GB DDR3 - HD6770 w/radeon driver - SSD+RAID1)
Safer than Dropbox

Patrol1985
Level 1
Level 1
Posts: 23
Joined: Wed Aug 28, 2013 2:51 am

Re: How Do I Update OpenGL 1.4.0 to 2.0.0?

Postby Patrol1985 » Fri May 16, 2014 8:24 pm

I'm sorry for digging this topic up, but since I have the same problem with the same GPU (Intel GMA 3150) I thought it would be pointless to create a new thread.

I'm currently trying to run a game which requires OpenGL 2.0, but my system has just OpenGL 1.4. Eanfrid wrote that Intel GMA 3150 does not support OpenGL 2.0, however, I also happen to have Windows 7 installed on this machine, and the game runs without any problems on Windows. How is it possible then that the capabilities of the GPU are limited only under Linux?

Mute Ant
Level 10
Level 10
Posts: 3194
Joined: Tue Sep 03, 2013 7:45 pm

Re: How Do I Update OpenGL 1.4.0 to 2.0.0?

Postby Mute Ant » Fri May 16, 2014 8:44 pm

Looks like a 'Software Rendering' layer between the two, if I really wanted to make it work.
The analysis is both relevant and accurate, although some accurate parts may not be relevant, and occasionally some relevant parts may not be accurate.

ritanopi
Level 1
Level 1
Posts: 1
Joined: Mon Oct 06, 2014 4:41 am

Re: How Do I Update OpenGL 1.4.0 to 2.0.0?

Postby ritanopi » Mon Oct 06, 2014 4:46 am

Hello,

This card does not normally support OpenGL 2.0 fully, it just supports it partially, and there are some software replacements in the driver. Anyway, to enable it, on most Linux distributions you need to install driconf, and check two options as enabled:

1. Enable limited ARB_fragment_shader support on 915/945.
2. Enable stub ARB_occlusion_query support on 915/945.

To check if it worked, install mesa-demos and execute glxinfo or glxheads, it should say OpenGL 2.0 instead of 1.4 now. This will also make webgl work on the browsers, but you make experiente some problems with these options enabled, because as I said, this chipset does not seem to support OpenGL 2.0 fully.


Return to “Hardware Support”

Who is online

Users browsing this forum: No registered users and 9 guests